Subject: bug#63132: Bug on Darwin MacOS with 'M-x man RET commandname[ ]'

From: [email-masked]
Date: Thu, 27 Apr 2023 14:10:40 -0700

Hello,

I am running latest emacs, built today (./configure —with-native-compilation —without-pop). This is also bug in earlier versions.

When running `M-x man <RET> command-name ` where this is a command-name followed by a space, MacOS Ventura emacs in some cases lags heavily and some cases crashes.

I find through investigation, for example, when it is `M-x man <RET> 2[ ]`, 2 followed by a space, it performs the equivalent ‘man -k ^’ and ‘man -k ^2’ internally. On my Linux VM, running 5.14.8-arch1-1, this is a non-issue, and speaking to others on Linux systems, it is also a non-issue there. 

I have fixed this temporarily on my MacOS machine by giving man advice; however, this same advice causes man not to work on my Linux VM.

Currently, it is a non-issue for me, but I would like to report it nonetheless.

Best,
An emacs user